# Interface OnlineResource

All Known Implementing Classes:
  `DefaultOnlineResource`

@UML(identifier="CI_OnlineResource", specification=ISO_19115) public interface OnlineResource
Information about on-line sources from which the dataset, specification, or community profile name and extended metadata elements can be obtained.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationProfile()`
  Name of an application profile that can be used with the online resource.
  `InternationalString`
  `getDescription()`
  Detailed text description of what the online resource is/does.
  `OnLineFunction`
  `getFunction()`
  Code for function performed by the online resource.
  `URI`
  `getLinkage()`
  Location (address) for on-line access using a Uniform Resource Locator address or similar addressing scheme such as `"http://www​.statkart​.no/isotc211"`.
  `String`
  `getName()`
  Name of the online resource.
  `String`
  `getProtocol()`
  Connection protocol to be used.

- ## Method Details

  - ### getLinkage

    @Profile(level=CORE) @UML(identifier="linkage", obligation=MANDATORY, specification=ISO_19115) URI getLinkage()
    Location (address) for on-line access using a Uniform Resource Locator address or similar addressing scheme such as `"http://www​.statkart​.no/isotc211"`.
    Returns:
      Location for on-line access using a Uniform Resource Locator address or similar scheme.

  - ### getProtocol

    @UML(identifier="protocol", obligation=OPTIONAL, specification=ISO_19115) String getProtocol()
    Connection protocol to be used. Returns `null` if none.
    Returns:
      Connection protocol to be used, or `null`.

  - ### getApplicationProfile

    @UML(identifier="applicationProfile", obligation=OPTIONAL, specification=ISO_19115) String getApplicationProfile()
    Name of an application profile that can be used with the online resource. Returns `null` if none.
    Returns:
      Application profile that can be used with the online resource, or `null`.

  - ### getName

    @UML(identifier="name", obligation=OPTIONAL, specification=ISO_19115) String getName()
    Name of the online resource. Returns `null` if none.
    Returns:
      Name of the online resource, or `null`.
    Since:
      2.1

  - ### getDescription

    @UML(identifier="description", obligation=OPTIONAL, specification=ISO_19115) InternationalString getDescription()
    Detailed text description of what the online resource is/does. Returns `null` if none.
    Returns:
      Text description of what the online resource is/does, or `null`.

  - ### getFunction

    @UML(identifier="function", obligation=OPTIONAL, specification=ISO_19115) OnLineFunction getFunction()
    Code for function performed by the online resource. Returns `null` if unspecified.
    Returns:
      Function performed by the online resource, or `null`.